/**
 * @desc 新增
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 名称 */
    name: string
    /** 标识 */
    uid: string
}

export const init = new defs.Result()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/role/add',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
